Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.configuration.rop.client
Class CayenneContextFactory

    java.lang.Object
      org.apache.cayenne.configuration.rop.client.CayenneContextFactory

All Implemented Interfaces:
  ObjectContextFactory

    public class CayenneContextFactory

extends Object
implements ObjectContextFactory

Field Summary
`protected DataChannel` | `dataChannel`
`protected Injector` | `injector`
`protected RuntimeProperties` | `properties`

Constructor Summary
`CayenneContextFactory()`

Method Summary
`ObjectContext` | `createContext()` Creates an ObjectContext attached to a default DataChannel.
`ObjectContext` | `createContext(DataChannel parent)` Creates an ObjectContext attached to a provided channel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataChannel

    protected DataChannel dataChannel

### properties

    protected RuntimeProperties properties

### injector

    protected Injector injector

Constructor Detail

### CayenneContextFactory

    public CayenneContextFactory()

Method Detail

### createContext

    public ObjectContext createContext()

  Description copied from interface: `ObjectContextFactory`
  Creates an ObjectContext attached to a default DataChannel.

  Specified by:
    `createContext` in interface `ObjectContextFactory`

### createContext

    public ObjectContext createContext(DataChannel parent)

  Description copied from interface: `ObjectContextFactory`
  Creates an ObjectContext attached to a provided channel. This is often used for nested context creation.

  Specified by:
    `createContext` in interface `ObjectContextFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.